{-# OPTIONS_HADDOCK show-extensions #-}

-- |
-- Module      :  Phonetic.Languages.Array.Ukrainian.PropertiesSyllablesG2Old
-- Copyright   :  (c) OleksandrZhabenko 2020-2022
-- License     :  MIT
-- Stability   :  Experimental
-- Maintainer  :  olexandr543@yahoo.com
--
-- Generalization and extension of the functionality of the DobutokO.Poetry.Norms
-- and DobutokO.Poetry.Norms.Extended modules
-- from the @dobutokO-poetry@ package. Uses syllables information.
-- Instead of the vector-related, uses just arrays.

module Phonetic.Languages.Array.Ukrainian.PropertiesSyllablesG2Old (
  -- * Rhythmicity properties
  -- ** Rhythmicity properties (semi-empirical)
  -- *** General ones
  rhythmicity0H
  , rhythmicity0FH
  , rhythmicityKH
  , rhythmicityKFH
  -- *** Simple one
  , rhythmicity0
  , rhythmicity0F
  -- *** With weight coefficients
  , rhythmicityK
  , rhythmicityKF
  -- ** Rhythmicity properties from generated with r-glpk-phonetic-languages-ukrainian-durations package (since 0.2.0.0 version)
  -- *** Simple one
  , rhythmicity02
  , rhythmicity02F
  -- *** With weight coefficients
  , rhythmicityK2
  , rhythmicityKF2
  -- ** NEW Rhythmicity properties from generated with r-glpk-phonetic-languages-ukrainian-durations package
  -- *** Simple ones
  , rhythmicity03
  , rhythmicity03F
  , rhythmicity04
  , rhythmicity04F
  -- *** With weight coefficients
  , rhythmicityK3
  , rhythmicityKF3
  , rhythmicityK4
  , rhythmicityKF4
  -- ** General
  , rhythmicityG
  , rhythmicityGH
  , rhythmicity
  , rhythmicityH
  , rhythmicityH'
) where

import Phonetic.Languages.Array.Ukrainian.PropertiesSyllablesG2CommonOld
import Phonetic.Languages.Array.Ukrainian.PropertiesSyllablesG201Old
import Phonetic.Languages.Array.Ukrainian.PropertiesSyllablesG2HOld
import Phonetic.Languages.Array.Ukrainian.PropertiesSyllablesG2HprimeOld
import Phonetic.Languages.Array.Ukrainian.Common
